petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMGetNumDS

Get the number of discrete systems in the DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetNumDS(DM dm, PetscInt *Nds)

Not collective

### Input Parameter

dm -The DM

### Output Parameter

Nds -The number of PetscDS objects

### See Also

DMGetDS(), DMGetCellDS()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages